gsw_cp_ice {gsw} | R Documentation

## Specific heat to ice

### Description

Specific heat of ice

### Usage

    gsw_cp_ice(t, p)

### Arguments

`t` | in-situ temperature (ITS-90) [ degC ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

specific heat [ J/(K*kg) ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_cp_ice.html

### Examples

    t <- c(-10.7856, -13.4329, -12.8103, -12.2600, -10.8863, -8.4036)
    p <-  c(     10,      50,     125,     250,     600,    1000)
    cp <- gsw_cp_ice(t, p)
    expect_equal(cp, c(2017.314262094657, 1997.830122682709, 2002.281331375396,
                     2006.127319545421, 2015.676303959609, 2033.308170371559))

[Package gsw version 1.0-5 Index]